d.where(1)

NAME
d.where - Identifies the geographic coordinates associated with point locations in the active frame on the graphics monitor.

KEYWORDS
display

SYNOPSIS
d.where
d.where help
d.where [-1dlwf]

  Flags:

-1  One mouse click only

-d  Output lat/long in decimal degree

-l  Output lat/long referenced to current ellipsoid

-w  Output lat/long referenced to WGS84 ellipsoid using datum transformation parameters defined in current location (if available)

-f  Output frame coordinates of current display monitor (percentage)

DESCRIPTION
d.where is an interactive program that allows the user, using the pointing device (mouse), to identify the geographic coordinates associated with point locations within the current geographic region in the active display frame on the graphics monitor.

Each mouse click will output the easting and northing of the point currently located beneath the mouse pointer. A mouse-button menu is presented so the user knows which mouse buttons to use. The output is always printed to the terminal screen; if the output is redirected into a file, it will be written to the file as well.

Mouse buttons:
     Left: where am i
     Middle: draw to/from here
     Right: quit this
The left mouse button prints the coordinates at the selected point, the middle mouse button allows to query two points (they are connected by a line for convenience). By using the right mouse button the module is left.

NOTES
This program uses the current geographic region setting and active frame. It is not necessary, although useful, to have displayed a map in the current frame before running d.where. The -d flag allows the user to optionally output latitude/longitude coordinates pair(s) in decimal degree rather than DD:MM:SS format. The -w flag is only valid if a datum is defined for the current location. If the -f flag is given the x,y frame coordinates of the active display monitor will be returned (as a percentage, 0,0 is bottom left).

SEE ALSO
d.what.rast
d.what.vect
g.region
v.what.rast
v.what.vect

AUTHORS
James Westervelt,
Michael Shapiro,
U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2006/04/29 13:53:44 $

Full index